jclouds-notifications mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Andrew Gaul (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (JCLOUDS-480) support AWS signature version 4
Date Thu, 22 Jan 2015 19:07:35 GMT

     [ https://issues.apache.org/jira/browse/JCLOUDS-480?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Andrew Gaul updated JCLOUDS-480:
--------------------------------
    Fix Version/s:     (was: 1.9.0)
                   2.0.0

> support AWS signature version 4
> -------------------------------
>
>                 Key: JCLOUDS-480
>                 URL: https://issues.apache.org/jira/browse/JCLOUDS-480
>             Project: jclouds
>          Issue Type: New Feature
>          Components: jclouds-blobstore, jclouds-core
>            Reporter: Andrew Gaul
>            Priority: Critical
>              Labels: ec2, s3
>             Fix For: 2.0.0, 1.8.2
>
>
> On Mar 15, 2012, Amazon announced a more secure way to sign api requests.
> https://forums.aws.amazon.com/ann.jspa?annID=1398
> New AWS regions, such as Frankfurt, will not support version 2 which jclouds presently
uses:
> http://docs.aws.amazon.com/AmazonS3/latest/API/sig-v4-authenticating-requests.html
> Eventhough some AWS clones like openstack support both versions, not all do. jclouds
should support both versions.
> This is most important to address for s3 and ec2.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message